Perl::Critic::Utils::Perl(3)

NAME
Perl::Critic::Utils::Perl - Utility functions for dealing with Perl language issues.

SYNOPSIS
    use Perl::Critic::Utils::Perl qw< :all >;

    my $name = symbol_without_sigil('$foo');    # $name is "foo".

DESCRIPTION
This handles various issues with Perl, the language, that aren't necessarily PPI related.

INTERFACE SUPPORT
This is considered to be a public module. Any changes to its interface will go through a deprecation cycle.

IMPORTABLE SUBROUTINES

"symbol_without_sigil( $symbol )"
    Returns the name of the specified symbol with any sigil at the front. The parameter can be a vanilla Perl string or a PPI::Element.

AUTHOR
Elliot Shank <perl@galumph.com>

COPYRIGHT
Copyright (c) 2007-2011 Elliot Shank.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.